Map Tickers to SecId: API Reference Data Guide
Because tickers can change over time due to corporate events, you should rely on algoseek's unique SecId for historical accuracy. This tutorial shows how to query the Lookup File.
Because tickers can change over time due to corporate events, you should rely on algoseek's unique SecId for historical accuracy. This tutorial shows how to query the Lookup File.
Endpoint: GET /api/v1/data/us-equity-ref/eq-lookup-files
What it does: Provides an efficient way to identify the corresponding SecId based on a ticker-date pair.
Request Example (Fetching a limited list of SecIds with specific columns):
curl -X --get \
https://api.devalgoseek.com/api/v1/data/us-equity-ref/eq-lookup-files \
--data 'columns=Ticker,EndDate,SecId' \
--data 'limit=10' \
-H "X-API-KEY: YOUR_API_KEY"
Response Example:
{
"data": [
{
"Ticker": "SLF",
"EndDate": "2099-12-31",
"SecId": 2234
},
{
"Ticker": "ASTSF",
"EndDate": "2008-05-30",
"SecId": 9470
},
{
"Ticker": "PGLA",
"EndDate": "2010-07-01",
"SecId": 10729
},
{
"Ticker": "CTTY",
"EndDate": "2007-08-24",
"SecId": 11019
},
{
"Ticker": "SFM",
"EndDate": "2008-05-22",
"SecId": 11895
},
{
"Ticker": "TNP",
"EndDate": "2024-06-28",
"SecId": 18665
},
...
],
"pagination": {
"offset": 0,
"limit": 10,
"next_offset": 10
}